﻿class digitalClock extends Date {
	private var fulldate:String;
	private var fullhour:String;
	public function digitalClock() {
		var days:Array = new Array('日曜', '月曜', '火曜', '水曜', '木曜', '金曜', '土曜');
		var months:Array = new Array('1月', '2月', '3月', '4月', '5月', '6月', '7月', '8月', '9月', '10月', '11月', '12月');
		var today:Number = this.getDate();
		var day:Number = this.getDay();
		var month:Number = this.getMonth();
		var year:Number = this.getFullYear();
		var day_str:String = days[day];
		var month_str:String = months[month];
		var hours:Number = this.getHours();
		var minutes:Number = this.getMinutes();
		var seconds:Number = this.getSeconds();
		if (hours<10) {
			var h_str:String = "0"+hours;
		} else {
			var h_str:String = String(hours);
		}
		if (minutes<10) {
			var m_str:String = "0"+minutes;
		} else {
			var m_str:String = String(minutes);
		}
		if (seconds<10) {
			var s_str:String = "0"+seconds;
		} else {
			var s_str:String = String(seconds);
		}
		fulldate = year+"年　"+month_str+" "+today+"日　"+day_str;
		fullhour = h_str+": "+m_str+": "+s_str;
	}
	public function getFullDate():String {
		return fulldate;
	}
	public function getFullHour():String {
		return fullhour;
	}
}
